Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.fulltext
Class FullTextSearchEngine

    java.lang.Object
      com.gisgraphy.fulltext.FullTextSearchEngine

All Implemented Interfaces:
  com.gisgraphy.fulltext.IFullTextSearchEngine, com.gisgraphy.service.IQueryProcessor<com.gisgraphy.fulltext.FulltextQuery>

    public class FullTextSearchEngine

extends Object
implements com.gisgraphy.fulltext.IFullTextSearchEngine

Default (threadsafe) implementation of `IFullTextSearchEngine`

Author:
  David Masclet

Field Summary
`protected static org.slf4j.Logger` | `logger`

Constructor Summary
`FullTextSearchEngine(org.apache.commons.httpclient.MultiThreadedHttpConnectionManager multiThreadedHttpConnectionManager)`

Method Summary
`void` | `executeAndSerialize(com.gisgraphy.fulltext.FulltextQuery query, OutputStream outputStream)`
`com.gisgraphy.fulltext.FulltextResultsDto` | `executeQuery(com.gisgraphy.fulltext.FulltextQuery query)`
`List<? extends GisFeature>` | `executeQueryToDatabaseObjects(com.gisgraphy.fulltext.FulltextQuery query)`
`String` | `executeQueryToString(com.gisgraphy.fulltext.FulltextQuery query)`
`String` | `getURL()`
`boolean` | `isAlive()`
`void` | `setSolrClient(IsolrClient solrClient)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static final org.slf4j.Logger logger

Constructor Detail

### FullTextSearchEngine

    public FullTextSearchEngine(@Qualifier(value="multiThreadedHttpConnectionManager")
                                org.apache.commons.httpclient.MultiThreadedHttpConnectionManager multiThreadedHttpConnectionManager)
                         throws com.gisgraphy.fulltext.FullTextSearchException

Parameters:
  `multiThreadedHttpConnectionManager` - The
Throws:
  `FullTextSearchException` - If an error occured

Method Detail

### executeAndSerialize

    public void executeAndSerialize(com.gisgraphy.fulltext.FulltextQuery query,
                                    OutputStream outputStream)
                             throws com.gisgraphy.fulltext.FullTextSearchException

  Specified by:
    `executeAndSerialize` in interface `com.gisgraphy.service.IQueryProcessor<com.gisgraphy.fulltext.FulltextQuery>`
  Throws:
    `com.gisgraphy.fulltext.FullTextSearchException`

### executeQueryToString

    public String executeQueryToString(com.gisgraphy.fulltext.FulltextQuery query)

  Specified by:
    `executeQueryToString` in interface `com.gisgraphy.service.IQueryProcessor<com.gisgraphy.fulltext.FulltextQuery>`

### executeQueryToDatabaseObjects

    public List<? extends GisFeature> executeQueryToDatabaseObjects(com.gisgraphy.fulltext.FulltextQuery query)
                                                             throws com.gisgraphy.service.ServiceException

  Specified by:
    `executeQueryToDatabaseObjects` in interface `com.gisgraphy.fulltext.IFullTextSearchEngine`
  Throws:
    `com.gisgraphy.service.ServiceException`

### executeQuery

    public com.gisgraphy.fulltext.FulltextResultsDto executeQuery(com.gisgraphy.fulltext.FulltextQuery query)
                                                           throws com.gisgraphy.service.ServiceException

  Specified by:
    `executeQuery` in interface `com.gisgraphy.fulltext.IFullTextSearchEngine`
  Throws:
    `com.gisgraphy.service.ServiceException`

### isAlive

    public boolean isAlive()

  Specified by:
    `isAlive` in interface `com.gisgraphy.fulltext.IFullTextSearchEngine`

### setSolrClient

    public void setSolrClient(IsolrClient solrClient)

  Parameters:
    `solrClient` - the solrClient to set

### getURL

    public String getURL()

  Specified by:
    `getURL` in interface `com.gisgraphy.fulltext.IFullTextSearchEngine`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.